//*******************************************************
//*    	input.c : source for input button switch  		*
//*						pic16f690		 	  		 	*
//*						MPLAB V8.86				 	    *
//* 					PICC lite 					    *
//* 				Simon Chaudeurge				    *
//* 					August 2012					    *
//*******************************************************

#ifndef INPUT_HD
	#define INPUT_HD

//***********************************************
// Prototype
//***********************************************
void vReadInputSw(void);
unsigned short usReadADC(void);


//***********************************************
// Definition
//***********************************************
#define SW_RIGHT_THRESHOLD_MAX 	25
#define SW_UP_THRESHOLD_MIN		115
#define SW_UP_THRESHOLD_MAX		165
#define SW_DOWN_THRESHOLD_MIN 	275
#define SW_DOWN_THRESHOLD_MAX 	325
#define SW_LEFT_THRESHOLD_MIN 	445
#define SW_LEFT_THRESHOLD_MAX 	495
#define SW_SELECT_THRESHOLD_MIN 690
#define SW_SELECT_THRESHOLD_MAX 735
#define SW_NONE_THRESHOLD_MIN 900

#define THRESHOLD_BUTTON 5
#define THRESHOLD_BUTTON_LONG 40
#define NONE	0
#define SELECT	1
#define LEFT	2
#define RIGHT	3
#define UP		4
#define DOWN	5
//#define RELEASE	6


//***********************************************
// Globales variables
//***********************************************
extern unsigned char ucButtonPressed=0;

#endif // INPUT_HD