//*******************************************************
//*    		lcd.h : header for use of LCD	     		*
//*				LCD1602  16x2char 4bits mode			*
//*						pic16f690		 	  		 	*
//*						MPLAB V8.86				 	    *
//* 					PICC lite 					    *
//* 				Simon Chaudeurge				    *
//* 					August 2012					    *
//*******************************************************
#ifndef LCD_HD
	#define LCD_HD


//***********************************************
// Definition
//***********************************************
#define EN	0x80 // EN pin on RC7 (address 0x20)
#define RS	0x20 // RS pin on RC5 (address 0x80)
#define DATA PORTC

#define DATA4 RC0
#define DATA5 RC1
#define DATA6 RC2
#define DATA7 RC3
#define PIN_RS RC5
#define PIN_E RC7

#define NUMBER_OF_CHAR 16
#define NUMBER_OF_LINE 2






//***********************************************
// Prototype
//***********************************************
void vInitLCD(void);
void vResetLCD(void);
void vLCDsendCmd(char cmd);
void vLCDsendData(unsigned char data);
void vLCDsendString(const unsigned char *ucDataString);
void vLCDsendULong(unsigned long num);
void vLCDclear(void);
void vLCDclearLine(unsigned char ucLine);
void vLCDgoto(unsigned char x, unsigned char y);
void vManageLCD(void);
void vModeSelection(void);
void vRemoteMode(void);
void vBulbMode(void);
void vTimeLapseMode(void);

//***********************************************
// Globale variables
//***********************************************
extern unsigned char ucLCDstateOld=0;
extern unsigned char Xpos = 0;	//use for LCD animation
extern unsigned char ucDirection = 0;	//use to define the direction of the LCD animation

#endif //LCD_HD