//*******************************************************
//*    		shoot.h : header for DSLR action    		*
//*						pic16f690		 	  		 	*
//*						MPLAB V8.86				 	    *
//* 					PICC lite 					    *
//* 				Simon Chaudeurge				    *
//* 					August 2012					    *
//*******************************************************
#ifndef SHOOT_HD
	#define SHOOT_HD


//***********************************************
// Common definition
//***********************************************
//	Timer2 Period = 32,256ms
//	Timer2 Period * 31 = 999.936ms  (as close as possible to 1seconde)
#define MANUAL_POSTCALER 31


//***********************************************
// Prototype
//***********************************************
void vFocus(void);
void vShoot(void);
void vDefineShootDelay_sec(unsigned int uiDelay);
static void interrupt isr(void);
void vEndOfTimeLapse(void);

//***********************************************
// Globale variables
//***********************************************
extern unsigned int uiShootInterval_sec = 0;
extern unsigned long ulTotalShootTime_min = 0;
extern unsigned char ucSequenceTimeout = 0;
extern unsigned int ulNumberOfPhotoTaken = 0;
extern unsigned long ulTotalNumberOfPhoto = 0;



#endif //SHOOT_HD